@ECHO OFF
SET APPNAME=Vivaldi Portable
SET APPURL=https://www.portablesoft.org/vivaldi-portable/
Title %APPNAME% 管理脚本 & Color 2F
CD /D "%~dp0"
:INIT
ECHO.
ECHO %APPNAME% 管理脚本
ECHO.
ECHO 脚本作者: 黯然过客
ECHO 发布地址: %APPURL%
ECHO.
ECHO 选择要执行的操作:
ECHO.
ECHO  1 设置 %APPNAME% 作为默认浏览器
ECHO  2 不再使用 %APPNAME% 作为默认浏览器
ECHO  3 彻底删除 %APPNAME% 相关数据
ECHO  4 检查绿色版更新
ECHO  5 退出脚本
ECHO.
SET /p ACTION="请输入操作序号："
IF "%ACTION%"=="1" GOTO MAKE_DEFAULT_BROWSER
IF "%ACTION%"=="2" GOTO CLEAR_DEFAULT_BROWSER
IF "%ACTION%"=="3" GOTO UNINSTALL
IF "%ACTION%"=="4" GOTO UPDATECHECK
IF "%ACTION%"=="5" GOTO END
CLS
GOTO INIT
:MAKE_DEFAULT_BROWSER
CALL "%~dp0VivaldiPortable.exe" --make-default-browser
CLS
EXIT
:CLEAR_DEFAULT_BROWSER
CALL "%~dp0VivaldiPortable.exe" --clear-default-browser
CLS
EXIT
:UNINSTALL
CALL "%~dp0VivaldiPortable.exe" --uninstall
TIMEOUT /t 1 /nobreak >NUL 2>NUL
REG DELETE "HKCU\Software\Microsoft\Windows NT\CurrentVersion\AppCompatFlags\Compatibility Assistant\Store" /V "%~dp0VivaldiPortable.exe" /F
CLS
EXIT
:UPDATECHECK
START %APPURL%
CLS
EXIT
:END
CLS
EXIT